MKNOD(1)

NOM
mknod - Créer des fichiers spéciaux de type bloc ou caractère

SYNOPSIS
mknod [OPTION]... NOM TYPE [MAJEUR MINEUR]

DESCRIPTION

Créer le fichier spécial avec le NOM et le TYPE indiqués.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-m, --mode=MODE
    Définir les bits de permission à MODE, au lieu de a=rw - umask.

-Z  Définir le contexte de sécurité SELinux au type par défaut

--context=CONTEXTE
    comme -Z ou, si CONTEXTE est indiqué, définir le contexte de sécurité SELinux ou SMACK à CONTEXTE

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

MAJEUR et MINEUR doivent être indiqués tous les deux lorsque le TYPE est b, c ou u et ils doivent être omis lorsque le TYPE est p. Si MAJEUR ou MINEUR commence par 0x ou 0X, il est interprété en hexadécimal ; s'il commence par 0, il l'est en octal et en décimal dans les autres cas. Le TYPE peut être :

b   créer un fichier spécial de type bloc (avec tampon)

c, u
    créer un fichier spécial de type caractère (sans tampon)

p   créer un relais de type « fifo »

NOTE : votre interpréteur de commandes peut avoir sa propre version de mknod, qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de mknod à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
mknod(2)

Documentation complète : <http://www.gnu.org/software/coreutils/mknod>
aussi disponible localement à l’aide de la commande : info '(coreutils) mknod invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Simon Paillard <simon DOT paillard AT resel DOT enst-bretagne DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.